#include <ESP8266WiFi.h>

IPAddress server(192,168,43,100);     // Fixed IP address of the server
WiFiClient client;

char ssid[] = "YourSSIDhere";
char pass[] = "YourPassWordHere";

int ledPin = 9;
int button = 10;

int lastBtnState = 0;

void setup() {
  Serial.begin(115200);

  pinMode(ledPin, OUTPUT);
  pinMode(button, INPUT);
  
  WiFi.begin(ssid, pass);
  while(WiFi.status() != WL_CONNECTED) {
    Serial.print(".");
    delay(500);
  }
  Serial.println();
  
}

void loop() {

  if (digitalRead(button) == HIGH) {
    if (lastBtnState == 0) {
      client.connect(server, 80);
      client.write("/led-off");
      lastBtnState = 1;
    }
    
    else {
      client.connect(server, 80);
      client.write("/led-on");
      lastBtnState = 2;
    }
  }
}
